diff --git a/drupal7/sites/all/modules/ldap/ldap_user/ldap_user.module b/drupal7/sites/all/modules/ldap/ldap_user/ldap_user.module
index 1142ba44..2d0b0015 100644
--- a/drupal7/sites/all/modules/ldap/ldap_user/ldap_user.module
+++ b/drupal7/sites/all/modules/ldap/ldap_user/ldap_user.module
@@ -2,55 +2,54 @@
 
 /**
  * @file
- * Module for the LDAP User Entity
- *
+ * Module for the LDAP User Entity.
  */
 
 define('LDAP_USER_DRUPAL_HELP_URL', 'http://drupal.org/node/997082');
 
-// configurable drupal acct provision triggers
+// Configurable drupal acct provision triggers.
 define('LDAP_USER_DRUPAL_USER_PROV_ON_USER_UPDATE_CREATE', 1);
 define('LDAP_USER_DRUPAL_USER_PROV_ON_AUTHENTICATE', 2);
 define('LDAP_USER_DRUPAL_USER_PROV_ON_ALLOW_MANUAL_CREATE', 3);
 
-// configurable ldap entry provision triggers
+// Configurable ldap entry provision triggers.
 define('LDAP_USER_LDAP_ENTRY_PROV_ON_USER_UPDATE_CREATE', 6);
 define('LDAP_USER_LDAP_ENTRY_PROV_ON_AUTHENTICATE', 7);
 define('LDAP_USER_LDAP_ENTRY_DELETE_ON_USER_DELETE', 8);
 
-// provisioning events (events are triggered by triggers)
+// Provisioning events (events are triggered by triggers)
 define('LDAP_USER_EVENT_SYNCH_TO_DRUPAL_USER', 1);
 define('LDAP_USER_EVENT_CREATE_DRUPAL_USER', 2);
 define('LDAP_USER_EVENT_SYNCH_TO_LDAP_ENTRY', 3);
 define('LDAP_USER_EVENT_CREATE_LDAP_ENTRY', 4);
 define('LDAP_USER_EVENT_LDAP_ASSOCIATE_DRUPAL_ACCT', 5);
 
-// results of ldap entry provisioning
+// Results of ldap entry provisioning.
 define('LDAP_USER_PROVISION_LDAP_ENTRY_EXISTS', 1);
 define('LDAP_USER_PROVISION_LDAP_ENTRY_CREATE_FAILED', 2);
 define('LDAP_USER_PROVISION_LDAP_ENTRY_SYNCH_FAILED', 3);
 
-// options for what to do when existing non ldap associated Drupal account conflicts with ldap account
+// Options for what to do when existing non ldap associated Drupal account conflicts with ldap account.
 define('LDAP_USER_CONFLICT_LOG', 1);
 define('LDAP_USER_CONFLICT_RESOLVE', 2);
 define('LDAP_USER_CONFLICT_RESOLVE_DEFAULT', 2);
 
-// options for what to do if another Drupal account has the same email address
+// Options for what to do if another Drupal account has the same email address.
 define('LDAP_USER_ACCOUNTS_WITH_SAME_EMAIL_DISABLED', 0);
 define('LDAP_USER_ACCOUNTS_WITH_SAME_EMAIL_ENABLED', 1);
 
-// options for dealing with manual account creation that conflict with ldap entries
+// Options for dealing with manual account creation that conflict with ldap entries.
 define('LDAP_USER_MANUAL_ACCT_CONFLICT_REJECT', 1);
 define('LDAP_USER_MANUAL_ACCT_CONFLICT_LDAP_ASSOCIATE', 2);
 define('LDAP_USER_MANUAL_ACCT_CONFLICT_SHOW_OPTION_ON_FORM', 3);
 define('LDAP_USER_MANUAL_ACCT_CONFLICT_NO_LDAP_ASSOCIATE', 4);
 
-// options for account creation behavior
+// Options for account creation behavior.
 define('LDAP_USER_ACCT_CREATION_LDAP_BEHAVIOR', 4);
 define('LDAP_USER_ACCT_CREATION_USER_SETTINGS_FOR_LDAP', 1);
 define('LDAP_USER_ACCT_CREATION_LDAP_BEHAVIOR_DEFAULT', 4);
 
-// provision directions
+// Provision directions.
 define('LDAP_USER_PROV_DIRECTION_TO_DRUPAL_USER', 1);
 define('LDAP_USER_PROV_DIRECTION_TO_LDAP_ENTRY', 2);
 define('LDAP_USER_PROV_DIRECTION_NONE', 3);
@@ -60,7 +59,8 @@ define('LDAP_USER_PROV_RESULT_NO_ERROR', 0);
 define('LDAP_USER_PROV_RESULT_NO_PWD', 1);
 define('LDAP_USER_PROV_RESULT_BAD_PARAMS', 2);
 
-define('LDAP_USER_NO_SERVER_SID', 0); // need to avoid conflicting with server ids
+// Need to avoid conflicting with server ids.
+define('LDAP_USER_NO_SERVER_SID', 0);
 define('LDAP_USER_TEST_FORM_PATH', 'admin/config/people/ldap/user/test');
 define('LDAP_USER_WS_USER_PATH', 'ldap/user/ws');
 
@@ -72,64 +72,49 @@ define('LDAP_USER_SESSION_PROV_SID', 'ldap_user_session_prov_sid');
  * Implements hook_menu().
  */
 function ldap_user_menu() {
-  $items = array();
+  $items = [];
 
-  $items['admin/config/people/ldap/user'] = array(
+  $items['admin/config/people/ldap/user'] = [
     'title' => '3. User',
     'description' => 'Settings related to user provisioning and data synching between ldap and drupal users.',
     'page callback' => 'drupal_get_form',
-    'page arguments' => array('ldap_user_admin_form'),
-    'access arguments' => array('administer site configuration'),
+    'page arguments' => ['ldap_user_admin_form'],
+    'access arguments' => ['administer site configuration'],
     'type' => MENU_LOCAL_TASK,
     'weight' => 2,
     'file' => 'ldap_user.admin.inc',
-  );
+  ];
 
-  $items[LDAP_USER_TEST_FORM_PATH] = array(
+  $items[LDAP_USER_TEST_FORM_PATH] = [
     'title' => 'Test LDAP User Functionality for a given user.',
     'description' => '',
     'page callback' => 'drupal_get_form',
-    'page arguments' => array('ldap_user_test_form'),
-    'access arguments' => array('administer site configuration'),
+    'page arguments' => ['ldap_user_test_form'],
+    'access arguments' => ['administer site configuration'],
     'file' => 'ldap_user.test_form.inc',
     'type' => MENU_LOCAL_ACTION,
-  );
-
- // $ws_arg_start = count(explode('/', LDAP_USER_WS_USER_PATH));
-// $items[LDAP_USER_WS_USER_PATH] = array(
-//   'title' => 'Webservice Path',
- //   'page callback' => 'ldap_user_ws',
- //   'page arguments' => array($ws_arg_start, $ws_arg_start + 1, $ws_arg_start + 2, $ws_arg_start + 3),
- //   'access arguments' => array('view content'),
- //   'file' => 'ldap_user.ws.inc',
- // );
-
+  ];
   return $items;
 }
 
-/**
- * function ldap_user_ws_urls_item_list() {
-  module_load_include('inc', 'ldap_user', 'ldap_user.ws');
-  return _ldap_user_ws_urls_item_list();
-}
-*/
-
 /**
  * Implements hook_init().
  */
 function ldap_user_init() {
-  ldap_user_ldap_provision_semaphore(NULL, NULL, NULL, TRUE); // reset for simpletest page load behavior
+  // Reset for simpletest page load behavior.
+  ldap_user_ldap_provision_semaphore(NULL, NULL, NULL, TRUE);
 }
 
 /**
  * Implements hook_theme().
  */
 function ldap_user_theme() {
-  return array('ldap_user_conf_form' => array(
-    'render element' => 'form',
-    'file' => 'ldap_user.theme.inc'
-    ),
-  );
+  return [
+    'ldap_user_conf_form' => [
+      'render element' => 'form',
+      'file' => 'ldap_user.theme.inc',
+    ],
+  ];
 }
 
 /**
@@ -141,7 +126,7 @@ function ldap_user_cron() {
     module_load_include('inc', 'ldap_user', 'ldap_user.cron');
     $result = _ldap_user_orphans($ldap_user_conf);
     if ($result !== TRUE) {
-      watchdog('ldap_user', 'LDAP User check for orphaned ldap provisioned Drupal accounts failed', array(), WATCHDOG_ERROR);
+      watchdog('ldap_user', 'LDAP User check for orphaned ldap provisioned Drupal accounts failed', [], WATCHDOG_ERROR);
     }
   }
 }
@@ -155,23 +140,23 @@ function ldap_user_mail($key, &$message, $params) {
       $message['subject'] = variable_get('site_name') . ' ' . t('Orphaned LDAP Users');
       $message['body'][] = t('The following !count Drupal users no longer have
         corresponding LDAP Entries.  Perhaps they have been removed from the LDAP
-        and should be removed:', array('!count' => count($params['accounts'])))
+        and should be removed:', ['!count' => count($params['accounts'])])
         . "\n\n" . t('username,mail,edit url') . "\n" .
         join("\n", $params['accounts']);
       break;
   }
 }
 
-
 /**
  * Implements hook_ldap_derived_user_name_alter().
  */
 function ldap_user_ldap_derived_user_name_alter(&$name, $ldap_user) {
-   // alter $name in some way here
-
+  // Alter $name in some way here.
 }
 
-
+/**
+ *
+ */
 function ldap_user_conf_cache_clear() {
   $discard = ldap_user_conf('admin', TRUE);
   $discard = ldap_user_conf(NULL, TRUE);
@@ -179,12 +164,14 @@ function ldap_user_conf_cache_clear() {
 }
 
 /**
- * get ldapUserConf or ldapUserConfAdmin object
+ * Get ldapUserConf or ldapUserConfAdmin object.
  *
- * @param enum $type is 'admin' for ldapUserConfAdmin object or NULL for ldapUserConf object
- * @param boolean $resect clear static cache of object.
+ * @param enum $type
+ *   is 'admin' for ldapUserConfAdmin object or NULL for ldapUserConf object.
+ * @param bool $resect
+ *   clear static cache of object.
  *
- * @return object ldapUserConf or ldapUserConfAdmin object
+ * @return \LdapUserConf|\LdapUserConfAdmin
  */
 function ldap_user_conf($type = NULL, $reset = FALSE) {
   static $ldap_user_conf;
@@ -202,13 +189,13 @@ function ldap_user_conf($type = NULL, $reset = FALSE) {
   return ($type == 'admin') ? $ldap_user_conf_admin : $ldap_user_conf;
 }
 
-
 /**
  * Implements hook_ldap_attributes_needed_alter().
  */
 function ldap_user_ldap_attributes_needed_alter(&$attributes, $params) {
 
-  if (isset($params['sid']) && $params['sid']) { // puid attributes are server specific
+  // Puid attributes are server specific.
+  if (isset($params['sid']) && $params['sid']) {
     if (is_scalar($params['sid'])) {
       $ldap_server = ldap_servers_get_servers($params['sid'], 'enabled', TRUE);
     }
@@ -216,21 +203,24 @@ function ldap_user_ldap_attributes_needed_alter(&$attributes, $params) {
       $ldap_server = $params['sid'];
     }
 
-    if ($ldap_server === FALSE) { // failed to find enabled server
+    // Failed to find enabled server.
+    if ($ldap_server === FALSE) {
       return;
     }
 
     $ldap_user_conf = ldap_user_conf();
     if (!isset($attributes['dn'])) {
-      $attributes['dn'] = array();
+      $attributes['dn'] = [];
     }
-    $attributes['dn'] = ldap_servers_set_attribute_map($attributes['dn']); // force dn "attribute" to exist
-    switch ($params['ldap_context']) { // Add the attributes required by the user configuration when provisioning drupal users
+    // Force dn "attribute" to exist.
+    $attributes['dn'] = ldap_servers_set_attribute_map($attributes['dn']);
+    // Add the attributes required by the user configuration when provisioning drupal users.
+    switch ($params['ldap_context']) {
       case 'ldap_user_insert_drupal_user':
       case 'ldap_user_update_drupal_user':
       case 'ldap_user_ldap_associate':
       case 'all':
-        $attributes[$ldap_server->user_attr] = ldap_servers_set_attribute_map(@$attributes[$ldap_server->user_attr]); // array($ldap_server->user_attr, 0, NULL);
+        $attributes[$ldap_server->user_attr] = ldap_servers_set_attribute_map(@$attributes[$ldap_server->user_attr]);
         $attributes[$ldap_server->mail_attr] = ldap_servers_set_attribute_map(@$attributes[$ldap_server->mail_attr]);
         if ($ldap_server->picture_attr) {
           $attributes[$ldap_server->picture_attr] = ldap_servers_set_attribute_map(@$attributes[$ldap_server->picture_attr]);
@@ -241,7 +231,7 @@ function ldap_user_ldap_attributes_needed_alter(&$attributes, $params) {
         if ($ldap_server->mail_template) {
           ldap_servers_token_extract_attributes($attributes, $ldap_server->mail_template);
         }
-      break;
+        break;
     }
 
     $ldap_context = empty($params['ldap_context']) ? NULL : $params['ldap_context'];
@@ -263,62 +253,62 @@ function ldap_user_ldap_user_attrs_list_alter(&$available_user_attrs, &$params)
   $direction = isset($params['direction']) ? $params['direction'] : LDAP_USER_PROV_DIRECTION_NONE;
 
   if ($direction == LDAP_USER_PROV_DIRECTION_TO_LDAP_ENTRY) {
-    $available_user_attrs['[property.name]'] = array(
+    $available_user_attrs['[property.name]'] = [
       'name' => 'Property: Username',
       'source' => '',
       'direction' => LDAP_USER_PROV_DIRECTION_TO_LDAP_ENTRY,
       'enabled' => TRUE,
-      'prov_events' => array(LDAP_USER_EVENT_CREATE_LDAP_ENTRY, LDAP_USER_EVENT_SYNCH_TO_LDAP_ENTRY),
+      'prov_events' => [LDAP_USER_EVENT_CREATE_LDAP_ENTRY, LDAP_USER_EVENT_SYNCH_TO_LDAP_ENTRY],
       'config_module' => 'ldap_user',
       'prov_module' => 'ldap_user',
       'configurable_to_ldap' => TRUE,
-      );
+    ];
 
-    $available_user_attrs['[property.mail]'] = array(
+    $available_user_attrs['[property.mail]'] = [
       'name' => 'Property: Email',
       'source' => '',
       'direction' => LDAP_USER_PROV_DIRECTION_TO_LDAP_ENTRY,
       'enabled' => TRUE,
-      'prov_events' => array(LDAP_USER_EVENT_CREATE_LDAP_ENTRY, LDAP_USER_EVENT_SYNCH_TO_LDAP_ENTRY),
+      'prov_events' => [LDAP_USER_EVENT_CREATE_LDAP_ENTRY, LDAP_USER_EVENT_SYNCH_TO_LDAP_ENTRY],
       'config_module' => 'ldap_user',
       'prov_module' => 'ldap_user',
       'configurable_to_ldap' => TRUE,
-    );
+    ];
 
-    $available_user_attrs['[property.picture]'] = array(
+    $available_user_attrs['[property.picture]'] = [
       'name' => 'Property: picture',
       'source' => '',
       'direction' => LDAP_USER_PROV_DIRECTION_TO_LDAP_ENTRY,
       'enabled' => TRUE,
-      'prov_events' => array(LDAP_USER_EVENT_CREATE_LDAP_ENTRY, LDAP_USER_EVENT_SYNCH_TO_LDAP_ENTRY),
+      'prov_events' => [LDAP_USER_EVENT_CREATE_LDAP_ENTRY, LDAP_USER_EVENT_SYNCH_TO_LDAP_ENTRY],
       'config_module' => 'ldap_user',
       'prov_module' => 'ldap_user',
       'configurable_to_ldap' => TRUE,
-    );
+    ];
 
-    $available_user_attrs['[property.uid]'] = array(
+    $available_user_attrs['[property.uid]'] = [
       'name' => 'Property: Drupal User Id (uid)',
       'source' => '',
       'direction' => LDAP_USER_PROV_DIRECTION_TO_LDAP_ENTRY,
       'enabled' => TRUE,
-      'prov_events' => array(LDAP_USER_EVENT_CREATE_LDAP_ENTRY, LDAP_USER_EVENT_SYNCH_TO_LDAP_ENTRY),
+      'prov_events' => [LDAP_USER_EVENT_CREATE_LDAP_ENTRY, LDAP_USER_EVENT_SYNCH_TO_LDAP_ENTRY],
       'config_module' => 'ldap_user',
       'prov_module' => 'ldap_user',
       'configurable_to_ldap' => TRUE,
-    );
+    ];
 
   }
 
   // 1. Drupal user properties
-  // 1.a make sure empty array are present so array + function works
-  foreach (array('property.status', 'property.timezone', 'property.signature') as $i => $property_id) {
+  // 1.a make sure empty array are present so array + function works.
+  foreach (['property.status', 'property.timezone', 'property.signature'] as $i => $property_id) {
     $property_token = '[' . $property_id . ']';
     if (!isset($available_user_attrs[$property_token]) || !is_array($available_user_attrs[$property_token])) {
-      $available_user_attrs[$property_token] = array();
+      $available_user_attrs[$property_token] = [];
     }
   }
-  //@todo make these merges so they don't override saved values such as 'enabled'
-  $available_user_attrs['[property.status]'] = $available_user_attrs['[property.status]'] + array(
+  // @todo make these merges so they don't override saved values such as 'enabled'
+  $available_user_attrs['[property.status]'] = $available_user_attrs['[property.status]'] + [
     'name' => 'Property: Acount Status',
     'configurable_to_drupal' => 1,
     'configurable_to_ldap' => 1,
@@ -326,45 +316,44 @@ function ldap_user_ldap_user_attrs_list_alter(&$available_user_attrs, &$params)
     'enabled' => FALSE,
     'config_module' => 'ldap_user',
     'prov_module' => 'ldap_user',
-  );
+  ];
 
-  $available_user_attrs['[property.timezone]'] = $available_user_attrs['[property.timezone]'] + array(
+  $available_user_attrs['[property.timezone]'] = $available_user_attrs['[property.timezone]'] + [
     'name' => 'Property: User Timezone',
     'configurable_to_drupal' => 1,
     'configurable_to_ldap' => 1,
     'enabled' => FALSE,
     'config_module' => 'ldap_user',
     'prov_module' => 'ldap_user',
-  );
+  ];
 
-  $available_user_attrs['[property.signature]'] = $available_user_attrs['[property.signature]'] + array(
+  $available_user_attrs['[property.signature]'] = $available_user_attrs['[property.signature]'] + [
     'name' => 'Property: User Signature',
     'configurable_to_drupal' => 1,
     'configurable_to_ldap' => 1,
     'enabled' => FALSE,
     'config_module' => 'ldap_user',
     'prov_module' => 'ldap_user',
-  );
+  ];
 
-  // 2. Drupal user fields
+  // 2. Drupal user fields.
   $user_fields = field_info_instances('user', 'user');
   foreach ($user_fields as $field_name => $field_instance) {
     $field_id = "[field.$field_name]";
     if (!isset($available_user_attrs[$field_id]) || !is_array($available_user_attrs[$field_id])) {
-      $available_user_attrs[$field_id] = array();
+      $available_user_attrs[$field_id] = [];
     }
 
-    $available_user_attrs[$field_id] = $available_user_attrs[$field_id] + array(
+    $available_user_attrs[$field_id] = $available_user_attrs[$field_id] + [
       'name' => t('Field') . ': ' . $field_instance['label'],
       'configurable_to_drupal' => 1,
       'configurable_to_ldap' => 1,
       'enabled' => FALSE,
       'config_module' => 'ldap_user',
       'prov_module' => 'ldap_user',
-    );
+    ];
   }
 
-
   if (!$ldap_user_conf->provisionsDrupalAccountsFromLdap) {
     $available_user_attrs['[property.mail]']['config_module'] = 'ldap_user';
     $available_user_attrs['[property.name]']['config_module'] = 'ldap_user';
@@ -372,44 +361,44 @@ function ldap_user_ldap_user_attrs_list_alter(&$available_user_attrs, &$params)
   }
 
   if ($direction == LDAP_USER_PROV_DIRECTION_TO_LDAP_ENTRY) {
-    $available_user_attrs['[password.random]'] = array(
+    $available_user_attrs['[password.random]'] = [
       'name' => 'Pwd: Random',
       'source' => '',
       'direction' => LDAP_USER_PROV_DIRECTION_TO_LDAP_ENTRY,
       'enabled' => TRUE,
-      'prov_events' => array(LDAP_USER_EVENT_CREATE_LDAP_ENTRY, LDAP_USER_EVENT_SYNCH_TO_LDAP_ENTRY),
+      'prov_events' => [LDAP_USER_EVENT_CREATE_LDAP_ENTRY, LDAP_USER_EVENT_SYNCH_TO_LDAP_ENTRY],
       'config_module' => 'ldap_user',
       'prov_module' => 'ldap_user',
       'configurable_to_ldap' => TRUE,
-    );
+    ];
 
-    // use user password when available fall back to random pwd
-    $available_user_attrs['[password.user-random]'] = array(
+    // Use user password when available fall back to random pwd.
+    $available_user_attrs['[password.user-random]'] = [
       'name' => 'Pwd: User or Random',
       'source' => '',
       'direction' => LDAP_USER_PROV_DIRECTION_TO_LDAP_ENTRY,
       'enabled' => TRUE,
-      'prov_events' => array(LDAP_USER_EVENT_CREATE_LDAP_ENTRY, LDAP_USER_EVENT_SYNCH_TO_LDAP_ENTRY),
+      'prov_events' => [LDAP_USER_EVENT_CREATE_LDAP_ENTRY, LDAP_USER_EVENT_SYNCH_TO_LDAP_ENTRY],
       'config_module' => 'ldap_user',
       'prov_module' => 'ldap_user',
       'configurable_to_ldap' => TRUE,
-    );
+    ];
 
-    // use user password, do not modify if unavailable
-    $available_user_attrs['[password.user-only]'] = array(
-        'name' => 'Pwd: User Only',
-        'source' => '',
-        'direction' => LDAP_USER_PROV_DIRECTION_TO_LDAP_ENTRY,
-        'enabled' => TRUE,
-        'prov_events' => array(LDAP_USER_EVENT_CREATE_LDAP_ENTRY, LDAP_USER_EVENT_SYNCH_TO_LDAP_ENTRY),
-        'config_module' => 'ldap_user',
-        'prov_module' => 'ldap_user',
-        'configurable_to_ldap' => TRUE,
-      );
+    // Use user password, do not modify if unavailable.
+    $available_user_attrs['[password.user-only]'] = [
+      'name' => 'Pwd: User Only',
+      'source' => '',
+      'direction' => LDAP_USER_PROV_DIRECTION_TO_LDAP_ENTRY,
+      'enabled' => TRUE,
+      'prov_events' => [LDAP_USER_EVENT_CREATE_LDAP_ENTRY, LDAP_USER_EVENT_SYNCH_TO_LDAP_ENTRY],
+      'config_module' => 'ldap_user',
+      'prov_module' => 'ldap_user',
+      'configurable_to_ldap' => TRUE,
+    ];
 
   }
 
-  //this is where need to be added to arrays
+  // This is where need to be added to arrays.
   if (!empty($ldap_user_conf->ldapUserSynchMappings[$direction])) {
 
     foreach ($ldap_user_conf->ldapUserSynchMappings[$direction] as $target_token => $mapping) {
@@ -423,7 +412,7 @@ function ldap_user_ldap_user_attrs_list_alter(&$available_user_attrs, &$params)
         continue;
       }
 
-      foreach (array('ldap_attr', 'user_attr', 'convert', 'direction', 'enabled', 'prov_events') as $k) {
+      foreach (['ldap_attr', 'user_attr', 'convert', 'direction', 'enabled', 'prov_events'] as $k) {
         if (isset($mapping[$k])) {
           $available_user_attrs[$key][$k] = $mapping[$k];
         }
@@ -441,23 +430,21 @@ function ldap_user_ldap_user_attrs_list_alter(&$available_user_attrs, &$params)
 
   }
 
-   // 3. profile2 fields
+  // 3. profile2 fields
   // 4. $user->data array.   will need to be added manually.  perhaps better not to implement this at all?
-
-
 }
+
 /**
  * Implements hook_help().
  */
-
 function ldap_user_help($path, $arg) {
 
   $ldap_user_help = t('LDAP user configuration determines how and when
     Drupal accounts are created based on LDAP data and which user fields
     are derived and synched to and from LDAP. See !helplink.',
-    array(
+    [
       '!helplink' => l(LDAP_USER_DRUPAL_HELP_URL, LDAP_USER_DRUPAL_HELP_URL),
-    ));
+    ]);
 
   switch ($path) {
     case 'admin/config/people/ldap/user':
@@ -470,72 +457,68 @@ function ldap_user_help($path, $arg) {
   }
 }
 
-
 /**
- * Implements hook_form_FORM_ID_alter(). for user_login_block
+ * Implements hook_form_FORM_ID_alter(). for user_login_block.
  */
 function ldap_user_form_user_login_block_alter(&$form, &$form_state) {
   array_unshift($form['#validate'], 'ldap_user_grab_password_validate');
 }
 
 /**
- * Implements hook_form_FORM_ID_alter(). for user_login_form
+ * Implements hook_form_FORM_ID_alter(). for user_login_form.
  */
 function ldap_user_form_user_login_alter(&$form, $form_state) {
   array_unshift($form['#validate'], 'ldap_user_grab_password_validate');
 }
 
 /**
- * Implements hook_form_FORM_ID_alter(). for user_register_form
+ * Implements hook_form_FORM_ID_alter(). for user_register_form.
  */
 function ldap_user_form_user_profile_form_alter(&$form, $form_state) {
   array_unshift($form['#submit'], 'ldap_user_grab_password_validate');
 }
 
 /**
-* Implements hook_form_FORM_ID_alter(). for password_policy_password_tab
-*/
+ * Implements hook_form_FORM_ID_alter(). for password_policy_password_tab.
+ */
 function ldap_user_form_password_policy_password_tab_alter(&$form, &$form_state) {
   array_unshift($form['#validate'], 'ldap_user_grab_password_validate');
 }
 
 /**
-* Implements hook_form_FORM_ID_alter(). for user-pass-reset form. Useful for
-* sites where this is the form ID for a user to intially set their password
-* (user clicks an emailed registration link, is prompted to set their password).
-*/
+ * Implements hook_form_FORM_ID_alter(). for user-pass-reset form. Useful for
+ * sites where this is the form ID for a user to intially set their password
+ * (user clicks an emailed registration link, is prompted to set their password).
+ */
 function ldap_user_form_user_pass_reset_alter(&$form, &$form_state) {
   array_unshift($form['#validate'], 'ldap_user_grab_password_validate');
 }
 
 /**
- * store password from logon forms in ldap_user_ldap_provision_pwd static variable
- * for use in provisioning to ldap
+ * Store password from logon forms in ldap_user_ldap_provision_pwd static variable
+ * for use in provisioning to ldap.
  */
 function ldap_user_grab_password_validate($form, &$form_state) {
 
-   // This is not a login form but profile form and user is inserting password to update email
+  // This is not a login form but profile form and user is inserting password to update email.
   if (!empty($form_state['values']['current_pass_required_values'])) {
     if (!empty($form_state['values']['current_pass']) && empty($form_state['values']['pass'])) {
       ldap_user_ldap_provision_pwd('set', $form_state['values']['current_pass']);
     }
-    // Or this is a profile form where the user is updating their own password
+    // Or this is a profile form where the user is updating their own password.
     elseif (!empty($form_state['values']['pass'])) {
-        ldap_user_ldap_provision_pwd('set', $form_state['values']['pass']);
+      ldap_user_ldap_provision_pwd('set', $form_state['values']['pass']);
     }
   }
-  // otherwise a logon form
+  // Otherwise a logon form.
   elseif (!empty($form_state['values']['pass'])) {
     ldap_user_ldap_provision_pwd('set', $form_state['values']['pass']);
   }
 
 }
 
-
-
-
 /**
- * Implements hook_form_FORM_ID_alter(). for user_register_form
+ * Implements hook_form_FORM_ID_alter(). for user_register_form.
  */
 function ldap_user_form_user_register_form_alter(&$form, $form_state) {
 
@@ -553,17 +536,17 @@ function ldap_user_form_user_register_form_alter(&$form, $form_state) {
     $form['account']['pass_disabled'][]['#markup'] = t('An LDAP setting at /admin/config/people/ldap/user has disabled the password fields. Drupal will store a 20 character random password in the Drupal "users" table, and the user will login with their LDAP password.');
   }
 
-  $ldap_fieldset = array();
-  $options = array(
+  $ldap_fieldset = [];
+  $options = [
     LDAP_USER_MANUAL_ACCT_CONFLICT_LDAP_ASSOCIATE => t('Make this an LDAP Associated account.  If a related LDAP account can not be found, a validation error will appear and the account will not be created.'),
     LDAP_USER_MANUAL_ACCT_CONFLICT_NO_LDAP_ASSOCIATE => t('Do not make this an LDAP Associated account.'),
-  );
-  $ldap_fieldset['ldap_user_association'] = array(
+  ];
+  $ldap_fieldset['ldap_user_association'] = [
     '#type' => 'radios',
     '#options' => $options,
     '#required' => FALSE,
     '#title' => t('LDAP Entry Association.'),
-  );
+  ];
 
   if ($ldap_user_conf->provisionEnabled(LDAP_USER_PROV_DIRECTION_TO_LDAP_ENTRY, LDAP_USER_DRUPAL_USER_PROV_ON_USER_UPDATE_CREATE)) {
     $ldap_fieldset['ldap_user_association']['#disabled'] = TRUE;
@@ -579,10 +562,10 @@ function ldap_user_form_user_register_form_alter(&$form, $form_state) {
       admin/config/people/ldap/user and "Show option on user create form..." must be selected.');
   }
 
-  $ldap_fieldset['ldap_user_create_ldap_acct'] = array(
+  $ldap_fieldset['ldap_user_create_ldap_acct'] = [
     '#type' => 'checkbox',
     '#title' => t('Create corresponding LDAP entry.'),
-  );
+  ];
   if (!$ldap_user_conf->provisionEnabled(LDAP_USER_PROV_DIRECTION_TO_LDAP_ENTRY, LDAP_USER_DRUPAL_USER_PROV_ON_ALLOW_MANUAL_CREATE)) {
     $ldap_fieldset['ldap_user_create_ldap_acct']['#disabled'] = TRUE;
     $ldap_fieldset['ldap_user_create_ldap_acct']['#description'] = t('To enable
@@ -604,7 +587,9 @@ function ldap_user_form_user_register_form_alter(&$form, $form_state) {
 
 }
 
-
+/**
+ *
+ */
 function ldap_user_form_register_form_validate($form, &$form_state) {
 
   $values = $form_state['values'];
@@ -615,23 +600,23 @@ function ldap_user_form_register_form_validate($form, &$form_state) {
     $form_state['values']['ldap_user_ldap_exclude'][LANGUAGE_NONE][0]['value'] = 1;
   }
 
-  // if corresponding ldap account doesn't exist and provision not selected and make ldap associated is selected, throw error
+  // If corresponding ldap account doesn't exist and provision not selected and make ldap associated is selected, throw error.
   if (!@$values['ldap_user_create_ldap_acct'] && @$values['ldap_user_association'] == LDAP_USER_MANUAL_ACCT_CONFLICT_LDAP_ASSOCIATE) {
     $ldap_user_conf = ldap_user_conf();
     $ldap_user = ldap_servers_get_user_ldap_data($drupal_username, $ldap_user_conf->ldapEntryProvisionServer, 'ldap_user_prov_to_drupal');
     if (!$ldap_user) {
 
       form_set_error('ldap_user_association', t('User %name does not have a corresponding LDAP Entry (dn).
-        Under LDAP options, you may NOT select "Make this an LDAP Associated Account"', array('%name' => $drupal_username)));
+        Under LDAP options, you may NOT select "Make this an LDAP Associated Account"', ['%name' => $drupal_username]));
     }
   }
 
-  // if trying to provision and ldap account and one already exists, throw error.
+  // If trying to provision and ldap account and one already exists, throw error.
   if (@$values['ldap_user_create_ldap_acct']) {
     $ldap_user_conf = ldap_user_conf();
     $ldap_user = ldap_servers_get_user_ldap_data($drupal_username, $ldap_user_conf->ldapEntryProvisionServer, 'ldap_user_prov_to_ldap');
     if ($ldap_user) {
-      $tokens = array('%dn' => $ldap_user['dn'], '%name' => $drupal_username);
+      $tokens = ['%dn' => $ldap_user['dn'], '%name' => $drupal_username];
       form_set_error('ldap_user_create_ldap_acct', t('User %name already has a corresponding LDAP Entry (%dn).
         Uncheck "Create corresponding LDAP entry" to allow this Drupal user to be created.  Select
         "Make this an LDAP associated account" to associate this account with the ldap entry.', $tokens));
@@ -639,8 +624,8 @@ function ldap_user_form_register_form_validate($form, &$form_state) {
   }
 }
 
-
-/** called after user_register_form_submit **/
+/**
+ * Called after user_register_form_submit .**/
 function ldap_user_form_register_form_submit2($form, &$form_state) {
 
   $values = $form_state['values'];
@@ -658,7 +643,7 @@ function ldap_user_form_register_form_submit2($form, &$form_state) {
       }
     }
     else {
-      // don't do anything here.  If account is not created, other user module warnings will exist
+      // don't do anything here.  If account is not created, other user module warnings will exist.
     }
   }
 
@@ -670,43 +655,47 @@ function ldap_user_form_register_form_submit2($form, &$form_state) {
 }
 
 /**
- * @param stdClass $account as drupal user object
- * @param array $edit is a drupal user edit array
- * @param enum int $direction indicating which directions to test for association
+ * @param object $account
+ *   as drupal user object.
+ * @param array $edit
+ *   is a drupal user edit array.
+ * @param enum int $direction
+ *   indicating which directions to test for association.
  *
  *
  * @return boolean TRUE if user should be excluded from ldap provision/synching
  */
-
 function ldap_user_ldap_exclude($account = NULL, $edit = NULL, $direction = LDAP_USER_PROV_DIRECTION_ALL) {
-  // always exclude user 1
+  // Always exclude user 1.
   if (is_object($account) && isset($account->uid) && $account->uid == 1) {
     return TRUE;
   }
 
-  // exclude users who have the field ldap_user_ldap_exclude set to 1
+  // Exclude users who have the field ldap_user_ldap_exclude set to 1.
   if (is_object($account) && isset($account->ldap_user_ldap_exclude[LANGUAGE_NONE][0]['value'])
     && $account->ldap_user_ldap_exclude[LANGUAGE_NONE][0]['value'] == 1) {
     return TRUE;
   }
 
-  // exclude new users who have the value set to 1 in their $edit array
+  // Exclude new users who have the value set to 1 in their $edit array.
   if (is_array($edit) && isset($edit['ldap_user_ldap_exclude'][LANGUAGE_NONE][0]['value'])
     && $edit['ldap_user_ldap_exclude'][LANGUAGE_NONE][0]['value'] == 1) {
     return TRUE;
   }
 
-  // everyone else is fine
+  // Everyone else is fine.
   return FALSE;
 
 }
 
 /**
- * @param stdClass $account as drupal user object
- * @param enum int $direction indicating which directions to test for association
+ * @param object $account
+ *   as drupal user object.
+ * @param enum int $direction
+ *   indicating which directions to test for association
  *   LDAP_USER_PROV_DIRECTION_TO_DRUPAL_USER signifies test if drupal account has been provisioned or synched from ldap
  *   LDAP_USER_PROV_DIRECTION_TO_LDAP_ENTRY signifies test if ldap account has been provisioned or synched from drupal
- *   NULL signifies check for either direction
+ *   NULL signifies check for either direction.
  *
  * @return boolean if user is ldap associated
  */
@@ -722,7 +711,7 @@ function ldap_user_is_ldap_associated($account, $direction = NULL) {
     }
     elseif (isset($account->uid)) {
       $authname = ldap_user_get_authname($account);
-      $to_drupal_user = (boolean)$authname;
+      $to_drupal_user = (boolean) $authname;
     }
   }
 
